Specify the method how the SNMP values will be returned

- « snmp_set_quick_print

- snmp2_get »

- PHP Manual
- SNMP Functions
- Specify the method how the SNMP values will be returned

# snmp_set_valueretrieval

(PHP 4 >= 4.3.3, PHP 5, PHP 7, PHP 8)

snmp_set_valueretrieval — Specify the method how the SNMP values will be returned

### Description

snmp_set_valueretrieval(int `$method`): true

### Parameters

`method`

  types
  SNMP_VALUE_LIBRARY | The return values will be as returned by the Net-SNMP library.
  SNMP_VALUE_PLAIN | The return values will be the plain value without the SNMP type information.
  SNMP_VALUE_OBJECT | The return values will be objects with the properties `value` and `type`, where the latter is one of the `SNMP_OCTET_STR`, `SNMP_COUNTER` etc. constants. The way `value` is returned is based on which one of constants `SNMP_VALUE_LIBRARY`, `SNMP_VALUE_PLAIN` is set.

### Return Values

Always returns `true`.

### Changelog

Version | Description
--- | ---
8.2.0 | The return type is `true` now; previously, it was bool.

### Examples

Example #1 Using snmp_set_valueretrieval()

    <?php
     snmp_set_valueretrieval(SNMP_VALUE_LIBRARY);
     $ret = snmpget('localhost', 'public', 'IF-MIB::ifName.1');
     // $ret = "STRING: lo"

     snmp_set_valueretrieval(SNMP_VALUE_PLAIN);
     $ret = snmpget('localhost', 'public', 'IF-MIB::ifName.1');
     // $ret = "lo";

     snmp_set_valueretrieval(SNMP_VALUE_OBJECT);
     $ret = snmpget('localhost', 'public', 'IF-MIB::ifName.1');
     // stdClass Object
     // (
     //   [type] => 4        <-- SNMP_OCTET_STR, see constants
     //   [value] => lo
     // )

     snmp_set_valueretrieval(SNMP_VALUE_OBJECT | SNMP_VALUE_PLAIN);
     $ret = snmpget('localhost', 'public', 'IF-MIB::ifName.1');
     // stdClass Object
     // (
     //   [type] => 4        <-- SNMP_OCTET_STR, see constants
     //   [value] => lo
     // )

     snmp_set_valueretrieval(SNMP_VALUE_OBJECT | SNMP_VALUE_LIBRARY);
     $ret = snmpget('localhost', 'public', 'IF-MIB::ifName.1');
     // stdClass Object
     // (
     //   [type] => 4        <-- SNMP_OCTET_STR, see constants
     //   [value] => STRING: lo
     // )

    ?>

### See Also

- snmp_get_valueretrieval() - Return the method how the SNMP values will be returned
- Predefined Constants